use clap::Parser;

mod cli;
mod delete;
mod import;

const ERROR_EXIT_CODE: i32 = 2;

fn main() {
    let Ok(_) = cli::dispatch_cmd(&cli::Cli::parse()).map_err(cli::print_errors) else {
        std::process::exit(ERROR_EXIT_CODE);
    };
}
